# Architektura modelů

- `Naše smluvní strana` (existuje nezávisle):
    - Jméno
    - (Ulice), č.p.
    - Obec
    - PSČ
    - Země
    - IČO
    - Datum narození (pro fyzické osoby)
    - Organizační složka
    - `Zástupci naší smluvní strany`
    - Barva pro interní organizaci (hex. kód)

- `Zástupce naší smluvní strany` (propojený s `Naší smluvní stranou`):
    - Celé jméno
    - Funkce
    - Role
   
- `Podpis naší smluvní strany` (propojený se `Smlouvou`):
    - Datum
    - `Naše smluvní strana`

---

- `Druhá smluvní strana` (existuje nezávisle):
    - Jméno
    - Je právnická osoba (ano/ne)
    - (Ulice), č.p.
    - Obec
    - PSČ
    - Země
    - IČO
    - Datum narození (pro fyzické osoby)
    - Organizační složka
    - `Zástupci druhé smluvní strany`
    - Barva pro interní organizaci (hex. kód)

- `Zástupce druhé smluvní strany` (propojený s `Druhou smluvní stranou`):
    - Celé jméno
    - Funkce
    - Role
   
- `Podpis druhé smluvní strany` (propojený se `Smlouvou`):
    - Datum
    - `Naše smluvní strana`

---

- `Subtyp` (existuje nezávisle):
    - Jméno

- `Záměr` (propojený se `Smlouvou`):
    - Odkaz

- `Problém` (propojený se `Smlouvou`):
    - Jméno

- `Soubor` (propojený se `Smlouvou`):
    - Jméno
    - Obsah souboru (např. PDF)
   
- `Spisovna` (existuje nezávisle):
    - Jméno
    - Jméno odpovědné osoby

---

- `Smlouva`:
    - *Informace definovány adminy*:
        - Typ, pouze jeden:
            - hlavní
            - dodatek
            - objednávka u rámcové smlouvy
        - `Subtypy`
        - Obsahuje NDA - ano/ne
        - `Podpisy naší smluvní strany` (spojeny s touto smlouvou)
        - `Podpisy druhé smluvní strany` (spojeny s touto smlouvou)
        - Datum začátku účinnosti
        - Datum konce platnosti
        - Stav právního ujednání:
            - platná
            - účinná
            - neúčinná
            - neplatná
        - Stav veřejnosti:
            - nová
            - veřejná
            - neveřejná)
        - Stav papírové formy:
            - odeslaná
            - uložená
            - ke skartaci
            - skartovaná
        - Odkaz na výběrové řízení
        - Odkaz na schválení
        - `Záměry`
        - Identifikační číslo
        - `Problémy`
        - Poznámky - sdílený textový blok
        - Sumarizace
        - `Soubory`
        - (Pouze pro dodatky a objednávky) hlavní `Smlouva`
        - Očekávaná cena za:
            - Celkem
            - Rok
            - Měsíc
            - Hodinu
        - `Spisovna`
    - *Definováno automaticky*:
        - Datum podpisu obou stran
        - Uživatel, který smlouvu vytvořil
        - Uživatel, který nastavil veřejnost
        - Poznámka k utajení smlouvy
